Net::SSH::Perl::Kex::DH(3)

NAME
Net::SSH::Perl::Kex::DH - Diffie-Hellman Group Agnostic Key Exchange

SYNOPSIS
    # This class should not be used directly, but rather as a base for DH1,
    # DH14SHA1, DH16SHA512, etc

    use Net::SSH::Perl::Kex::DH;
    use base qw( Net::SSH::Perl::Kex::DH );

    # Simply implement _dh_new_group and return the Crypt::DH group
    sub _dh_new_group {
        my $kex = shift;
        ...
        $dh;
    }

DESCRIPTION
Net::SSH::Perl::Kex::DH implements Diffie-Hellman Group Agnostic Exchange for Net::SSH::Perl. It is a subclass of Net::SSH::Perl::Kex.

Key Exchange uses the Diffie-Hellman key exchange algorithm to produce a shared secret key between client and server, without ever sending the shared secret over the insecure network. All that is sent are the client and server public keys.

AUTHOR & COPYRIGHTS
Please see the Net::SSH::Perl manpage for author, copyright, and license information.